Rails.application.routes.draw do

  concern :printing do
    member do
      get 'print'
      get 'slip'
    end
    collection do
      get 'print'
    end
  end

  # prefer and defer elements (setting preferred true|false)
  concern :preferring do
    member do
      get 'prefer'
      get 'defer'
    end
  end

  # attach and detach the route in question to its 'parent'
  concern :attaching do
    member do
      get 'attach'
      get 'detach'
    end
  end

  # activate and passify the route in question
  concern :activating do
    member do
      get 'activate'
      get 'deactivate'
    end
  end

  # devise_for :users, :controllers => { :invitations => 'users/invitations', :sessions => 'devise/cas_sessions'  }
  scope '/admin' do
    resources :accounts, concerns: [:activating, :attaching, :printing] do
      resources :users, concerns: [:activating, :printing]
      resources :photos
    end
  end
end
