require 'rails/generators'
require 'rails/generators/migration'

module OxenAccount
  module Generators
    class AccountGenerator < Rails::Generators::Base
      include Rails::Generators::Migration
      def self.source_root
        @source_root ||= File.join(File.dirname(__FILE__), 'templates')
      end

      def self.next_migration_number(dirname)
        if ActiveRecord::Base.timestamped_migrations
          Time.new.utc.strftime("%Y%m%d%H%M%S")
        else
          "%.3d" % (current_migration_number(dirname) + 1)
        end
      end

      def create_migration_file
        migration_template 'account.rb', 'db/migrate/create_accounts.rb'
        # allow the clock to advance 1sec
        sleep 1
        migration_template 'user_permission.rb', 'db/migrate/create_user_permissions.rb'
      end
    end
  end
end
